<%@ page language="java" pageEncoding="UTF-8"%>
<script src="${ctx}/component/artDialog/artDialog.js?skin=default" type="text/javascript"></script>
<script src="${ctx}/component/artDialog/plugins/iframeTools.js" type="text/javascript"></script>
<script src="${ctx}/component/artDialog/plugins/iframeTools.source.js" type="text/javascript"></script>

<script type="text/javascript">
(function (config) {
    config['lock'] = true;
    config['fixed'] = true;
    config['okVal'] = 'Ok';
    config['cancelVal'] = 'Cancel';
    // [more..]
})(art.dialog.defaults);

/**
 * 警告
 * @param	{String}	消息内容
 */
artDialog.alert = function (content, callback) {
    return artDialog({
        id: 'Alert',
        icon: 'warning',
        fixed: true,
        lock: true,
        content: content,
        ok: true,
        close: callback
    });
};

/**
 * 确认
 * @param	{String}	消息内容
 * @param	{Function}	确定按钮回调函数
 * @param	{Function}	取消按钮回调函数
 */
artDialog.confirm = function (content, yes, no) {
    return artDialog({
        id: 'Confirm',
        icon: 'question',
        fixed: true,
        lock: true,
        opacity: .1,
        content: content,
        ok: function (here) {
            return yes.call(this, here);
        },
        okVal:'确定',
        cancel: function (here) {
            return no && no.call(this, here);
        },
        cancelVal:'取消'
    });
};

/**
 * 提问
 * @param	{String}	提问内容
 * @param	{Function}	回调函数. 接收参数：输入值
 * @param	{String}	默认值
 */
artDialog.prompt = function (content, yes, value) {
    value = value || '';
    var input;
    
    return artDialog({
        id: 'Prompt',
        icon: 'question',
        fixed: true,
        lock: true,
        opacity: .1,
        content: [
            '<div style="margin-bottom:5px;font-size:12px">',
                content,
            '</div>',
            '<div>',
                '<input value="',
                    value,
                '" style="width:18em;padding:6px 4px" />',
            '</div>'
            ].join(''),
        init: function () {
            input = this.DOM.content.find('input')[0];
            input.select();
            input.focus();
        },
        ok: function (here) {
            return yes && yes.call(this, input.value, here);
        },
        cancel: true
    });
};

/**
 * 短暂提示
 * @param	{String}	提示内容
 * @param	{Number}	显示时间 (默认1.5秒)
 */
artDialog.tips = function (content, time) {
    return artDialog({
        id: 'Tips',
        title: false,
        cancel: false,
        fixed: true,
        lock: true
    })
    .content('<div style="padding: 0 1em;">' + content + '</div>')
    .time(time || 1);
};


/**
 * 确认
 * @param	{String}	执行操作url
 * @param	{String}	操作成功返回url
 */
function artCfrm(delUrl,cbkUrl){
	 art.dialog.confirm('你确定要删除这条消息吗？', function () {
			$.ajax({
				url:delUrl,
				success:function(data){
					if(data=='suc'){
					    art.dialog.tips('删除成功！');
					    location.href=cbkUrl;
					}else{
					    art.dialog.tips('删除失败！');
					}
				}
			});
		}, function () {
		    art.dialog.tips('删除取消');
		}); 
	 return false;
}
 
 function add(toAddUrl,cbkUrl,title){
		art.dialog.load(toAddUrl,{
			title:title,
	        fixed: true,
	        lock: true,
			ok:function(topWin){
				//alert(topWin.document.getElementById('submit').value);
				alert(this);
				$.ajax({
					url:topWin.document.forms[0].action,
					success:function(data){
						alert(data);
						if(data=='suc'){
						    art.dialog.tips('创建用户成功！');
							location.href=cbkUrl;
						}else{
						    art.dialog.tips(data);
						}
					}
				});
			},
	    	okVal:'确定',
	    	cancel: function () {
	    		art.dialog.tips('取消创建用户');
	    	},
	    	cancelVal:'取消'
		},true);
	}
 
 /**
  * 打开一个窗口页面
  * @param	{String}	执行操作url
  * @param	{String}	标题
  * @param	{Object}	窗口宽度
  * @param	{Object}	窗口高度
  */
function dialogOpen(url,title,width,height){
	 art.dialog.open(url, {
		 title:title,
	     fixed: true,//静止定位
	     lock: true,//锁屏
	     width:width,
	     height:height
	 }, false);
}

  /**
   * 关闭窗口页面：在需要关闭的窗口调用此方法
   */
function cancel(){
 	art.dialog.close();
}

/**
 * 确定保存，并关闭此窗口，同时刷新上级页面
 * @param	{String}	执行操作url
 */
function certain(url,formId,con){
	var formData = $("#"+formId).serialize(); //序列化表单
	formData = decodeURIComponent(formData, true); //解码
	$.ajax({
		url:url,
		dataType : 'json',
		data : formData,
		type:'post',
		success:function(data){
			if(data=='suc'){
			    art.dialog.tips(''+con);
				var win = art.dialog.open.origin;//来源页面
				win.location.reload();
			}else{
			    art.dialog.tips(data);
			}
		}
	});
}
</script>